Package com.independentsoft.graph.sites

# Class DocumentSetVersion

java.lang.Object
com.independentsoft.graph.sites.DocumentSetVersion

All Implemented Interfaces:
  `ICreatable`

public class DocumentSetVersion extends Object implements ICreatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentSetVersion()`
  `DocumentSetVersion​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `IdentitySet`
  `getCreatedBy()`
  `Date`
  `getCreatedDateTime()`
  `String`
  `getId()`
  `boolean`
  `isShouldCaptureMinorVersion()`
  `void`
  `setComment​(String comment)`
  `void`
  `setShouldCaptureMinorVersion​(boolean shouldCaptureMinorVersion)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentSetVersion

    public DocumentSetVersion()

  - ### DocumentSetVersion

    public DocumentSetVersion​(JsonObject jsonObject)

- ## Method Details

  - ### getId

    public String getId()

  - ### getCreatedDateTime

    public Date getCreatedDateTime()

  - ### getCreatedBy

    public IdentitySet getCreatedBy()

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment​(String comment)

  - ### isShouldCaptureMinorVersion

    public boolean isShouldCaptureMinorVersion()

  - ### setShouldCaptureMinorVersion

    public void setShouldCaptureMinorVersion​(boolean shouldCaptureMinorVersion)

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource